text-show-3.10.4: Efficient conversion of values into Text

Copyright | (C) 2014-2017 Ryan Scott
License | BSD-style (see the file LICENSE)
Maintainer | Ryan Scott
Stability | Provisional
Portability | GHC
Safe Haskell | Safe-Inferred
Language | Haskell2010

TextShow.System.IO

Contents

- Orphan instances

Description

`TextShow` instances for `IO`-related data types.

Since: 2

# Orphan instances

TextShow SeekMode Source # | Since: 2

Instance details

Methods

showbPrec :: Int -> SeekMode -> Builder Source #

showb :: SeekMode -> Builder Source #

showbList :: [SeekMode] -> Builder Source #

showtPrec :: Int -> SeekMode -> Text Source #

showt :: SeekMode -> Text Source #

showtList :: [SeekMode] -> Text Source #

showtlPrec :: Int -> SeekMode -> Text Source #

showtl :: SeekMode -> Text Source #

showtlList :: [SeekMode] -> Text Source #

TextShow CodingFailureMode Source # | Since: 2

Instance details

Methods

showbPrec :: Int -> CodingFailureMode -> Builder Source #

showb :: CodingFailureMode -> Builder Source #

showbList :: [CodingFailureMode] -> Builder Source #

showtPrec :: Int -> CodingFailureMode -> Text Source #

showt :: CodingFailureMode -> Text Source #

showtList :: [CodingFailureMode] -> Text Source #

showtlPrec :: Int -> CodingFailureMode -> Text Source #

showtl :: CodingFailureMode -> Text Source #

showtlList :: [CodingFailureMode] -> Text Source #

TextShow CodingProgress Source # | Since: 2

Instance details

Methods

showbPrec :: Int -> CodingProgress -> Builder Source #

showb :: CodingProgress -> Builder Source #

showbList :: [CodingProgress] -> Builder Source #

showtPrec :: Int -> CodingProgress -> Text Source #

showt :: CodingProgress -> Text Source #

showtList :: [CodingProgress] -> Text Source #

showtlPrec :: Int -> CodingProgress -> Text Source #

showtl :: CodingProgress -> Text Source #

showtlList :: [CodingProgress] -> Text Source #

TextShow TextEncoding Source # | Since: 2

Instance details

Methods

showbPrec :: Int -> TextEncoding -> Builder Source #

showb :: TextEncoding -> Builder Source #

showbList :: [TextEncoding] -> Builder Source #

showtPrec :: Int -> TextEncoding -> Text Source #

showt :: TextEncoding -> Text Source #

showtList :: [TextEncoding] -> Text Source #

showtlPrec :: Int -> TextEncoding -> Text Source #

showtl :: TextEncoding -> Text Source #

showtlList :: [TextEncoding] -> Text Source #

TextShow HandlePosn Source # | Since: 2

Instance details

Methods

showbPrec :: Int -> HandlePosn -> Builder Source #

showb :: HandlePosn -> Builder Source #

showbList :: [HandlePosn] -> Builder Source #

showtPrec :: Int -> HandlePosn -> Text Source #

showt :: HandlePosn -> Text Source #

showtList :: [HandlePosn] -> Text Source #

showtlPrec :: Int -> HandlePosn -> Text Source #

showtl :: HandlePosn -> Text Source #

showtlList :: [HandlePosn] -> Text Source #

TextShow BufferMode Source # | Since: 2

Instance details

Methods

showbPrec :: Int -> BufferMode -> Builder Source #

showb :: BufferMode -> Builder Source #

showbList :: [BufferMode] -> Builder Source #

showtPrec :: Int -> BufferMode -> Text Source #

showt :: BufferMode -> Text Source #

showtList :: [BufferMode] -> Text Source #

showtlPrec :: Int -> BufferMode -> Text Source #

showtl :: BufferMode -> Text Source #

showtlList :: [BufferMode] -> Text Source #

TextShow Handle Source # | Since: 2
Instance details Methods showbPrec :: Int -> Handle -> Builder Source # showb :: Handle -> Builder Source # showbList :: [Handle] -> Builder Source # showtPrec :: Int -> Handle -> Text Source # showt :: Handle -> Text Source # showtList :: [Handle] -> Text Source # showtlPrec :: Int -> Handle -> Text Source # showtl :: Handle -> Text Source # showtlList :: [Handle] -> Text Source #
TextShow Newline Source # | Since: 2
Instance details Methods showbPrec :: Int -> Newline -> Builder Source # showb :: Newline -> Builder Source # showbList :: [Newline] -> Builder Source # showtPrec :: Int -> Newline -> Text Source # showt :: Newline -> Text Source # showtList :: [Newline] -> Text Source # showtlPrec :: Int -> Newline -> Text Source # showtl :: Newline -> Text Source # showtlList :: [Newline] -> Text Source #
TextShow NewlineMode Source # | Since: 2

Instance details

Methods

showbPrec :: Int -> NewlineMode -> Builder Source #

showb :: NewlineMode -> Builder Source #

showbList :: [NewlineMode] -> Builder Source #

showtPrec :: Int -> NewlineMode -> Text Source #

showt :: NewlineMode -> Text Source #

showtList :: [NewlineMode] -> Text Source #

showtlPrec :: Int -> NewlineMode -> Text Source #

showtl :: NewlineMode -> Text Source #

showtlList :: [NewlineMode] -> Text Source #

TextShow IOMode Source # | Since: 2
Instance details Methods showbPrec :: Int -> IOMode -> Builder Source # showb :: IOMode -> Builder Source # showbList :: [IOMode] -> Builder Source # showtPrec :: Int -> IOMode -> Text Source # showt :: IOMode -> Text Source # showtList :: [IOMode] -> Text Source # showtlPrec :: Int -> IOMode -> Text Source # showtl :: IOMode -> Text Source # showtlList :: [IOMode] -> Text Source #